Bug 9166 - Add hotplug support for USB dongles
: Add hotplug support for USB dongles
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/bluez-utils)
: unstable
: all Linux
: P5 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-02-26 20:46 by
Modified: 2007-05-11 21:05 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-02-26 20:46:16
Было бы неплохо уметь работать через hotplug.  Стартовать/останавливать разные
нужные демоны по ффтыканию/вытыканию донгла, тем более что поддержка
/etc/hotplug/bluetooth.agent есть, логи от default.hotplug:

arguments (bluetooth) env
(PHYSDEVPATH=/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1:1.0
SUBSYSTEM=bluetooth OLDPWD=/ DEVPATH=/class/bluetooth/hci0 ACTION=add
PWD=/etc/hotplug UDEV_LOG=0 UDEVD_EVENT=1 SHLVL=1 PHYSDEVDRIVER=hci_usb
INTERFACE=hci0 DEBUG=yes PHYSDEVBUS=usb SEQNUM=1127 _=/usr/bin/env)
no runnable /etc/hotplug/bluetooth.agent is installed

arguments (bluetooth) env
(PHYSDEVPATH=/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1:1.0
SUBSYSTEM=bluetooth OLDPWD=/ DEVPATH=/class/bluetooth/hci0 ACTION=remove
PWD=/etc/hotplug UDEV_LOG=0 UDEVD_EVENT=1 SHLVL=1 PHYSDEVDRIVER=hci_usb
INTERFACE=hci0 DEBUG=yes PHYSDEVBUS=usb SEQNUM=1131 _=/usr/bin/env)
no runnable /etc/hotplug/bluetooth.agent is installed

Надо подумать как это сделать красивше, приоритет ставлю минимальный.
------- Comment #1 From 2006-02-27 09:48:45 -------
Может быть правильнее это делать через udev.
самое сложное - останавливать сервисы. Запускать то я думаю проблем нет.

У меня кстати тоже есть в этом необходимость - USB BT включается на ноуте по
"горячей" кнопке. Аппаратно.
------- Comment #2 From 2006-03-01 22:15:37 -------
Кстати про udeff...  Надо бы права на /dev/rfcomm* выставлять.  :uucp g+w
наверно (это жи типа serial)
------- Comment #3 From 2006-03-01 22:24:50 -------
(In reply to comment #1)
> Может быть правильнее это делать через udev.
> самое сложное - останавливать сервисы. Запускать то я думаю проблем нет.
В irda-usb я это прекрасно сделал через usermap и $REMOVER...
------- Comment #4 From 2006-03-02 10:26:47 -------
да, надо.. вот на тему uucp я не знаю, вообще надо какую-то более правильную
группу ввести.

/dev/rfcomm это всё-таки не совсем serial. 
------- Comment #5 From 2006-09-28 19:27:41 -------
Вроде ж работает.
------- Comment #6 From 2006-11-06 21:14:01 -------
Ну и чего?
------- Comment #7 From 2006-11-19 01:04:12 -------
Всмотрелся в то, что там есть сейчас с текущим кодом, доставшимися по 
наследству инитскриптом и нашим удеффом.
Так вот сейчас там полная задница с порядком загрузки ивзаимными требованиями 
hcid, dbus и udev/hotplug.
Завтра опишу в рассылке.
------- Comment #8 From 2007-05-11 00:51:44 -------
fixed, короче.